: GMixp
: localized mixed conductance current
: number of open channels is driven by an external value
: that is communicated by a POINTER

NEURON {
  POINT_PROCESS GMixp
  POINTER num
  USEION na READ ena WRITE ina
  USEION k READ ek WRITE ik
  RANGE gna1, gk1
  RANGE gna, gk, ina, ik
}

UNITS {
  (uS) = (microsiemens)
  (pS) = (picosiemens)
}

PARAMETER {
  gna1 = 0 (pS)  < 0, 1e9 > : single channel conductances
  gk1 = 0 (pS)  < 0, 1e9 >
}

ASSIGNED {
  v  (millivolt)
  num (1) : how many are open
  ena  (millivolt)
  gna  (uS)
  ina  (nanoamp)
  ek  (millivolt)
  gk  (uS)
  ik  (nanoamp)
}

BREAKPOINT {
  gna = (1e-6)*num*gna1
  ina = gna*(v - ena)
  gk = (1e-6)*num*gk1
  ik = gk*(v - ek)
}

